Skip to content
v0.3

customer.address.update

Update one of the caller’s own addresses (ownership gated by customer_id).

  • Scope: customer.self.write
  • System: no
  • Reachable from: POST /v1/commands/customer.address.update (tenant credential) · MCP tool customer.address.update · SDK client.call('customer.address.update', …)
  • Events: customer.updated
{
"properties": {
"address_id": {
"minLength": 1,
"type": "string"
},
"city": {
"minLength": 1,
"type": "string"
},
"country_code": {
"minLength": 1,
"type": "string"
},
"is_default": {
"type": "boolean"
},
"label": {
"type": "string"
},
"line1": {
"minLength": 1,
"type": "string"
},
"line2": {
"type": "string"
},
"neighborhood": {
"type": "string"
},
"number": {
"type": "string"
},
"postal_code": {
"minLength": 1,
"type": "string"
},
"recipient": {
"type": "string"
},
"region": {
"minLength": 1,
"type": "string"
}
},
"required": [
"line1",
"city",
"region",
"postal_code",
"country_code",
"address_id"
],
"type": "object"
}
{
"additionalProperties": false,
"properties": {
"address_id": {
"type": "string"
}
},
"required": [
"address_id"
],
"type": "object"
}

validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)